echo off
rem gslifmt.bat
if exist hyphen.tex goto ex
if exist splaing.tex goto ex
copy \emtex\texinput\ghyphen.min hyphen.tex
copy \emtex\texinput\splain.tex splaing.tex
tex -i -c850_tex \language1\input splaing \input 3 \dump
if errorlevel 1 goto error
goto done

:ex
echo The following files should be removed or renamed before running gslifmt:
if exist hyphen.tex echo hyphen.tex
if exist splaing.tex echo splaing.tex
goto end

:error
echo Error

:done
if exist hyphen.tex del hyphen.tex
if exist splaing.tex del splaing.tex
:end
